Invoices
List Invoices
Retrieve a unified list of chronological invoices, aggregating both one-time product orders and recurring subscription invoices.
GET
/
invoices
List Invoices
curl --request GET \
--url https://api.blink.store/v1/invoices \
--header 'x-store-id: <api-key>'import requests
url = "https://api.blink.store/v1/invoices"
headers = {"x-store-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-store-id': '<api-key>'}};
fetch('https://api.blink.store/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"total": 123
},
"data": [
{
"id": "<string>",
"invoice_number": "<string>",
"type": "<string>",
"customer_id": "<string>",
"status": "<string>",
"total_amount": 123,
"tax_amount": 123,
"net_amount": 123,
"currency": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"pdf_url": "<string>",
"hosted_invoice_url": "<string>"
}
]
}Authorizations
Query Parameters
Number of records to return
Filter by product or subscription invoices
Available options:
product, subscription Filter by invoice status (e.g. paid, open)
Previous
Get InvoiceRetrieve detailed information for a specific invoice, fully populated with customer and product relations.
Next
⌘I
List Invoices
